<!DOCTYPE html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=utf-8">
  <title>settings.py</title>
  <link rel="stylesheet" href="../pycco.css">
</head>
<body>
<div id='container'>
  <div id="background"></div>
  <div class='section'>
    <div class='docs'><h1>settings.py</h1></div>
  </div>
  <div class='clearall'>
  <div class='section' id='section-0'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-0'>#</a>
      </div>
      <p>Django settings for GestorDeProyectos project.</p>
<p>Generated by &lsquo;django-admin startproject&rsquo; using Django 3.2.6.</p>
<p>For more information on this file, see
https://docs.djangoproject.com/en/3.2/topics/settings/</p>
<p>For the full list of settings and their values, see
https://docs.djangoproject.com/en/3.2/ref/settings/</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre><span></span><span class="kn">import</span> <span class="nn">os</span>
<span class="kn">from</span> <span class="nn">pathlib</span> <span class="kn">import</span> <span class="n">Path</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-1'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-1'>#</a>
      </div>
      <p>Build paths inside the project like this: BASE_DIR / &lsquo;subdir&rsquo;.</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="n">BASE_DIR</span> <span class="o">=</span> <span class="n">Path</span><span class="p">(</span><span class="vm">__file__</span><span class="p">)</span><span class="o">.</span><span class="n">resolve</span><span class="p">()</span><span class="o">.</span><span class="n">parent</span><span class="o">.</span><span class="n">parent</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-2'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-2'>#</a>
      </div>
      <p>Quick-start development settings - unsuitable for production
See https://docs.djangoproject.com/en/3.2/howto/deployment/checklist/</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-3'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-3'>#</a>
      </div>
      <p>SECURITY WARNING: keep the secret key used in production secret!</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="n">SECRET_KEY</span> <span class="o">=</span> <span class="s1">&#39;django-insecure-ont8b#vks</span><span class="si">%x</span><span class="s1">6^vml886#-fsyxt1c(w%yl+ea+w8u1py!f*@4(q&#39;</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-4'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-4'>#</a>
      </div>
      <p>SECURITY WARNING: don&rsquo;t run with debug turned on in production!
para pasar a produccion poner en false</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="n">DEBUG</span> <span class="o">=</span> <span class="kc">True</span>

<span class="n">ALLOWED_HOSTS</span> <span class="o">=</span> <span class="p">[]</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-5'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-5'>#</a>
      </div>
      <p>Linea para definir ambiente de produccion o desarrollo
ALLOWED_HOSTS = [&ldquo;gestordeproyectos.com&rdquo;, &ldquo;127.0.0.1&rdquo;]</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-6'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-6'>#</a>
      </div>
      <p>para produccion
ALLOWED_HOSTS = [&lsquo;gestordeproyectos.com&rsquo;, &lsquo;127.0.0.1&rsquo;]</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-7'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-7'>#</a>
      </div>
      <p>Application definition</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="n">INSTALLED_APPS</span> <span class="o">=</span> <span class="p">[</span>
    <span class="s1">&#39;django.contrib.admin&#39;</span><span class="p">,</span>
    <span class="s1">&#39;django.contrib.auth&#39;</span><span class="p">,</span>
    <span class="s1">&#39;django.contrib.contenttypes&#39;</span><span class="p">,</span>
    <span class="s1">&#39;django.contrib.sessions&#39;</span><span class="p">,</span>
    <span class="s1">&#39;django.contrib.messages&#39;</span><span class="p">,</span>
    <span class="s1">&#39;django.contrib.staticfiles&#39;</span><span class="p">,</span>
    <span class="s1">&#39;django.contrib.sites&#39;</span><span class="p">,</span>

    <span class="s1">&#39;oauth_app&#39;</span><span class="p">,</span>

    <span class="s1">&#39;allauth&#39;</span><span class="p">,</span>
    <span class="s1">&#39;allauth.account&#39;</span><span class="p">,</span>
    <span class="s1">&#39;allauth.socialaccount&#39;</span><span class="p">,</span>
    <span class="s1">&#39;allauth.socialaccount.providers.google&#39;</span><span class="p">,</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-8'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-8'>#</a>
      </div>
      <p>Apliacion de PRoyectos</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="s1">&#39;Proyecto&#39;</span><span class="p">,</span>
    <span class="s1">&#39;bootstrap4&#39;</span><span class="p">,</span>
    <span class="s1">&#39;crispy_forms&#39;</span><span class="p">,</span>
    <span class="s1">&#39;widget_tweaks&#39;</span><span class="p">,</span>

<span class="p">]</span>

<span class="n">CRISPY_TEMPLATE_PACK</span> <span class="o">=</span> <span class="s1">&#39;bootstrap4&#39;</span>  <span class="c1"># render pa lo que viene de la BD</span>

<span class="n">MIDDLEWARE</span> <span class="o">=</span> <span class="p">[</span>
    <span class="s1">&#39;django.middleware.security.SecurityMiddleware&#39;</span><span class="p">,</span>
    <span class="s1">&#39;django.contrib.sessions.middleware.SessionMiddleware&#39;</span><span class="p">,</span>
    <span class="s1">&#39;django.middleware.common.CommonMiddleware&#39;</span><span class="p">,</span>
    <span class="s1">&#39;django.middleware.csrf.CsrfViewMiddleware&#39;</span><span class="p">,</span>
    <span class="s1">&#39;django.contrib.auth.middleware.AuthenticationMiddleware&#39;</span><span class="p">,</span>
    <span class="s1">&#39;django.contrib.messages.middleware.MessageMiddleware&#39;</span><span class="p">,</span>
    <span class="s1">&#39;django.middleware.clickjacking.XFrameOptionsMiddleware&#39;</span><span class="p">,</span>
<span class="p">]</span>

<span class="n">ROOT_URLCONF</span> <span class="o">=</span> <span class="s1">&#39;GestorDeProyectos.urls&#39;</span>

<span class="n">TEMPLATES</span> <span class="o">=</span> <span class="p">[</span>
    <span class="p">{</span>
        <span class="s1">&#39;BACKEND&#39;</span><span class="p">:</span> <span class="s1">&#39;django.template.backends.django.DjangoTemplates&#39;</span><span class="p">,</span>
        <span class="s1">&#39;DIRS&#39;</span><span class="p">:</span> <span class="p">[</span><span class="n">BASE_DIR</span> <span class="o">/</span> <span class="s1">&#39;templates&#39;</span><span class="p">]</span>
        <span class="p">,</span>
        <span class="s1">&#39;APP_DIRS&#39;</span><span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
        <span class="s1">&#39;OPTIONS&#39;</span><span class="p">:</span> <span class="p">{</span>
            <span class="s1">&#39;context_processors&#39;</span><span class="p">:</span> <span class="p">[</span>
                <span class="s1">&#39;django.template.context_processors.debug&#39;</span><span class="p">,</span>
                <span class="s1">&#39;django.template.context_processors.request&#39;</span><span class="p">,</span>
                <span class="s1">&#39;django.contrib.auth.context_processors.auth&#39;</span><span class="p">,</span>
                <span class="s1">&#39;django.contrib.messages.context_processors.messages&#39;</span><span class="p">,</span>
            <span class="p">],</span>
        <span class="p">},</span>
    <span class="p">},</span>
<span class="p">]</span>

<span class="n">WSGI_APPLICATION</span> <span class="o">=</span> <span class="s1">&#39;GestorDeProyectos.wsgi.application&#39;</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-9'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-9'>#</a>
      </div>
      <p>Database
https://docs.djangoproject.com/en/3.2/ref/settings/#databases</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="n">DATABASES</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s1">&#39;default&#39;</span><span class="p">:</span> <span class="p">{</span>
        <span class="s1">&#39;ENGINE&#39;</span><span class="p">:</span> <span class="s1">&#39;django.db.backends.postgresql_psycopg2&#39;</span><span class="p">,</span>
        <span class="s1">&#39;NAME&#39;</span><span class="p">:</span> <span class="s1">&#39;GestorDeProyectos_Db&#39;</span><span class="p">,</span>
        <span class="s1">&#39;USER&#39;</span><span class="p">:</span> <span class="s1">&#39;postgres&#39;</span><span class="p">,</span>
        <span class="s1">&#39;PASSWORD&#39;</span><span class="p">:</span> <span class="s1">&#39;1234&#39;</span><span class="p">,</span>
        <span class="s1">&#39;HOST&#39;</span><span class="p">:</span> <span class="s1">&#39;127.0.0.1&#39;</span><span class="p">,</span>
        <span class="s1">&#39;DATABASE_PORT&#39;</span><span class="p">:</span> <span class="s1">&#39;5432&#39;</span><span class="p">,</span>
    <span class="p">}</span>
<span class="p">}</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-10'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-10'>#</a>
      </div>
      <p>Password validation
https://docs.djangoproject.com/en/3.2/ref/settings/#auth-password-validators</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="n">AUTH_PASSWORD_VALIDATORS</span> <span class="o">=</span> <span class="p">[</span>
    <span class="p">{</span>
        <span class="s1">&#39;NAME&#39;</span><span class="p">:</span> <span class="s1">&#39;django.contrib.auth.password_validation.UserAttributeSimilarityValidator&#39;</span><span class="p">,</span>
    <span class="p">},</span>
    <span class="p">{</span>
        <span class="s1">&#39;NAME&#39;</span><span class="p">:</span> <span class="s1">&#39;django.contrib.auth.password_validation.MinimumLengthValidator&#39;</span><span class="p">,</span>
    <span class="p">},</span>
    <span class="p">{</span>
        <span class="s1">&#39;NAME&#39;</span><span class="p">:</span> <span class="s1">&#39;django.contrib.auth.password_validation.CommonPasswordValidator&#39;</span><span class="p">,</span>
    <span class="p">},</span>
    <span class="p">{</span>
        <span class="s1">&#39;NAME&#39;</span><span class="p">:</span> <span class="s1">&#39;django.contrib.auth.password_validation.NumericPasswordValidator&#39;</span><span class="p">,</span>
    <span class="p">},</span>
<span class="p">]</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-11'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-11'>#</a>
      </div>
      <p>Internationalization
https://docs.djangoproject.com/en/3.2/topics/i18n/</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="n">LANGUAGE_CODE</span> <span class="o">=</span> <span class="s1">&#39;en-us&#39;</span>

<span class="n">TIME_ZONE</span> <span class="o">=</span> <span class="s1">&#39;UTC&#39;</span>

<span class="n">USE_I18N</span> <span class="o">=</span> <span class="kc">True</span>

<span class="n">USE_L10N</span> <span class="o">=</span> <span class="kc">True</span>

<span class="n">USE_TZ</span> <span class="o">=</span> <span class="kc">True</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-12'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-12'>#</a>
      </div>
      <p>Static files (CSS, JavaScript, Images)
https://docs.djangoproject.com/en/3.2/howto/static-files/</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="n">STATIC_URL</span> <span class="o">=</span> <span class="s1">&#39;/static/&#39;</span>
<span class="n">STATIC_ROOT</span> <span class="o">=</span> <span class="n">os</span><span class="o">.</span><span class="n">path</span><span class="o">.</span><span class="n">join</span><span class="p">(</span><span class="n">BASE_DIR</span><span class="p">,</span> <span class="s2">&quot;/static/&quot;</span><span class="p">)</span>

<span class="n">STATICFILES_DIRS</span> <span class="o">=</span> <span class="p">[</span><span class="n">os</span><span class="o">.</span><span class="n">path</span><span class="o">.</span><span class="n">join</span><span class="p">(</span><span class="n">BASE_DIR</span><span class="p">,</span> <span class="s1">&#39;static&#39;</span><span class="p">)]</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-13'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-13'>#</a>
      </div>
      <p>Default primary key field type
https://docs.djangoproject.com/en/3.2/ref/settings/#default-auto-field</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="n">DEFAULT_AUTO_FIELD</span> <span class="o">=</span> <span class="s1">&#39;django.db.models.BigAutoField&#39;</span>

<span class="n">AUTHENTICATION_BACKENDS</span> <span class="o">=</span> <span class="p">[</span>
    <span class="s1">&#39;django.contrib.auth.backends.ModelBackend&#39;</span><span class="p">,</span>
    <span class="s1">&#39;allauth.account.auth_backends.AuthenticationBackend&#39;</span>
<span class="p">]</span>

<span class="n">SOCIALACCOUNT_PROVIDERS</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s1">&#39;google&#39;</span><span class="p">:</span> <span class="p">{</span>
        <span class="s1">&#39;SCOPE&#39;</span><span class="p">:</span> <span class="p">[</span>
            <span class="s1">&#39;profile&#39;</span><span class="p">,</span>
            <span class="s1">&#39;email&#39;</span><span class="p">,</span>
        <span class="p">],</span>
        <span class="s1">&#39;AUTH_PARAMS&#39;</span><span class="p">:</span> <span class="p">{</span>
            <span class="s1">&#39;access_type&#39;</span><span class="p">:</span> <span class="s1">&#39;online&#39;</span><span class="p">,</span>
        <span class="p">}</span>
    <span class="p">}</span>
<span class="p">}</span>

<span class="n">SITE_ID</span> <span class="o">=</span> <span class="mi">3</span>

<span class="n">LOGIN_REDIRECT_URL</span> <span class="o">=</span> <span class="s1">&#39;/&#39;</span>
<span class="n">LOGOUT_REDIRECT_URL</span> <span class="o">=</span> <span class="s1">&#39;/&#39;</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-14'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-14'>#</a>
      </div>
      <p>Correo del sistema para enviar el mail, de notificaciones</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="n">USER_MAIL</span> <span class="o">=</span> <span class="s1">&#39;andresssshk@fpuna.edu.py&#39;</span>
<span class="n">USER_MAIL_PASSWORD</span> <span class="o">=</span> <span class="s1">&#39;5574180AH&#39;</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-15'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-15'>#</a>
      </div>
      <p>Configuraciones para Mail</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="n">EMAIL_BACKEND</span> <span class="o">=</span> <span class="s2">&quot;django.core.mail.backends.smtp.EmailBackend&quot;</span>
<span class="n">EMAIL_HOST</span> <span class="o">=</span> <span class="s2">&quot;smtp.gmail.com&quot;</span>
<span class="n">EMAIL_USE_TLS</span> <span class="o">=</span> <span class="kc">True</span>
<span class="n">EMAIL_PORT</span> <span class="o">=</span> <span class="mi">587</span>
<span class="n">EMAIL_HOST_USER</span><span class="o">=</span><span class="s2">&quot;andresssshk@fpuna.edu.py&quot;</span>
<span class="n">EMAIL_HOST_PASSWORD</span><span class="o">=</span><span class="s2">&quot;5574180AH&quot;</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-16'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-16'>#</a>
      </div>
      <p>Varialbles de sistema para url
En produccion
PATH_HOME = &ldquo;http://gestordeproyectos.com/&rdquo;
En desarrollo</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="n">PATH_HOME</span> <span class="o">=</span> <span class="s2">&quot;http://127.0.0.1:8000/&quot;</span>

</pre></div>
    </div>
  </div>
  <div class='clearall'></div>
</div>
</body>
